#include <pic.h>
// pic12f675

__CONFIG (INTIO & UNPROTECT & BOREN 
& MCLRDIS & PWRTEN & WDTDIS);

// ===  
void podgot (void); //  
void mode (void); //  

// ===   
void main (void){ //  
podgot(); //  
while(1){ //   
mode (); //  
} //   
} //  


// ===  
void podgot (void){
INTCON = 0; //  
CMCON  = 7; //   
TRISIO = 0b000011; //   
GPIO = 0; //   
GPPU = 1; //   R: 1 - ., 0 - .
ANSEL = 0;
ADCS2 = 1;ADCS1 = 0;ADCS0 = 1;
ANS0 = 1; //    7
ANS1 = 1; //    6
ADFM=1; //  
VCFG = 0 ; //   
ADON =1; //  
}


#define led_a GPIO4 //  3
#define led_b GPIO5 //  2

unsigned int adc1;
unsigned int adc2;

void adc (void); //  

// ===  
void mode (void){
unsigned int time;
unsigned char tmp;
adc (); //  

//  
//     
tmp = adc1; while (tmp-->0){
led_a = 1; time = adc2; while (time-->0);
led_a = 0; time = adc2; while (time-->0);
}

tmp = adc1; while (tmp-->0){
led_b = 1; time = adc2; while (time-->0);
led_b = 0; time = adc2; while (time-->0);
}
}


// ===  
void adc (void){
unsigned int tmp;
CHS1=0; CHS0=0; //  0
ADIF = 0; GODONE=1;
while (GODONE);
adc1 = (ADRESH*255) + ADRESL;

CHS1=0; CHS0=1; //  1
ADIF = 0; GODONE=1;
while (GODONE);
adc2 = (ADRESH*255) + ADRESL;

//  
//  
if (adc1<100) adc1 = 100;
adc1 = adc1/100;
//  
if (adc2<50) adc2 = 50;
adc2 = adc2*8;
}

